> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/widgets/promo-widget/configuration-options.md).

# Configuration options

LiSA Promo Widget comes with a variety of configuration options to customise it to your needs.

Web SDK configuration

In addition to the Promo Widget specific configuration options, you must provide a subset of the Web SDK configuration options. Below you will find the required and optional settings to run the Promo Widget:

```typescript
type Config = {
  /** The actual Promo Widget configuration. */
  alert: AlertConfig;
  /** The client identifier, provided during account creation. */
  client: string;
  /**
   * The language code you want to pass onto the show player
   * in a multi-language environment.
   */
  language: LanguageCode; // e.g. 'en'
  /** Locale information required for rendering date information. */
  locale?: string; // e.g. 'en-US'
  /** Localisable text values, used by the Web SDK. */
  localisation?: {
    /** Caption displayed, when the promoted show's countown is completed. */
    alertCountdownComplete?: string;
    /** Caption displayed, while the promoted show's countown is running. */
    alertCountdownCaption?: string;
    /** Caption displayed, when the promoted show is currently live. */
    alertLiveCaption?: string;
    /** Caption displayed, when the promoted show's replay is available. */
    alertReplayCaption?: string;
  };
  /** (URL encoded) query string, you want to pass onto the live show landing page. */
  querystring?: string;
  /** The store identifier you want to pass onto the show in a multi-store environment. */
  store?: string;
}
```

### Type definition

```
type AlertConfig = {
  autoplay?: false | { parameter?: string };
  channel?: 
    | string
    | { mode: 'priority'; slug: string }
    | { mode: 'random'; slug: string };
  enabled?: boolean;
  imageModifier?: string;
  leadTime?: number;
  position?: 'bl' | 'br' | 'tl' | 'tr' | Position;
  showId?: string;
  url?: string;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/widgets/promo-widget/configuration-options.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
